{
	"model": {
		"type": "select",
		"cases": [
			{
				"model": {
					"type": "model",
					"model": "item/firework_star/firework_star_halloween",
					"tints": [
						{
							"type": "constant",
							"value": -1
						},
						{
							"type": "firework",
							"default": -7697782
						}
					]
				},
				"when": [
					"10-30",
					"10-31",
					"11-01"
				]
			}
		],
		"fallback": {
			"type": "select",
			"cases": [
				{
					"model": {
						"type": "model",
						"model": "item/firework_star/firework_star_christmas",
						"tints": [
							{
								"type": "constant",
								"value": -1
							},
							{
								"type": "firework",
								"default": -7697782
							}
						]
					},
					"when": [
						"12-23",
						"12-24",
						"12-25",
						"12-26",
						"12-27"
					]
				}
			],
			"fallback": {
				"type": "model",
				"model": "item/firework_star",
				"tints": [
					{
						"type": "constant",
						"value": -1
					},
					{
						"type": "firework",
						"default": -7697782
					}
				]
			},
			"pattern": "MM-dd",
			"property": "local_time"
		},
		"pattern": "MM-dd",
		"property": "local_time"
	}
}